package conf

import beego "github.com/beego/beego/v2/server/web"

var Page_size = 10
var NatsServer_Url, _ = beego.AppConfig.String("NatsServer_Url")
var NatsSubj_Prefix, _ = beego.AppConfig.String("NatsSubj_Prefix")

var RunMode, _ = beego.AppConfig.String("RunMode")

var Sys_Name, _ = beego.AppConfig.String("Sys_Name")

// Mysql
var MysqlServer_UrlPort, _ = beego.AppConfig.String("MysqlServer_UrlPort")
var MysqlServer_Database, _ = beego.AppConfig.String("MysqlServer_Database")
var MysqlServer_Username, _ = beego.AppConfig.String("MysqlServer_Username")
var MysqlServer_Password, _ = beego.AppConfig.String("MysqlServer_Password")
var MysqlServer_MaxIdleConnections, _ = beego.AppConfig.Int("MysqlServer_MaxIdleConnections")
var MysqlServer_MaxOpenConnections, _ = beego.AppConfig.Int("MysqlServer_MaxOpenConnections")

var MysqlMqtt_UrlPort, _ = beego.AppConfig.String("MysqlMqtt_UrlPort")
var MysqlMqtt_Database, _ = beego.AppConfig.String("MysqlMqtt_Database")
var MysqlMqtt_Username, _ = beego.AppConfig.String("MysqlMqtt_Username")
var MysqlMqtt_Password, _ = beego.AppConfig.String("MysqlMqtt_Password")
var MysqlMqtt_MaxIdleConnections, _ = beego.AppConfig.Int("MysqlMqtt_MaxIdleConnections")
var MysqlMqtt_MaxOpenConnections, _ = beego.AppConfig.Int("MysqlMqtt_MaxOpenConnections")

// Redis
var Redis_address, _ = beego.AppConfig.String("Redis_address")
var Redis_password, _ = beego.AppConfig.String("Redis_password")
var Redis_dbNum, _ = beego.AppConfig.String("Redis_dbNum")

var FilterExcludeURL, _ = beego.AppConfig.String("FilterExcludeURL")
var FilterOnlyLoginCheckURL, _ = beego.AppConfig.String("FilterOnlyLoginCheckURL")

// Qiniu
var Qiniu_AccessKey, _ = beego.AppConfig.String("Qiniu_AccessKey")
var Qiniu_SecretKey, _ = beego.AppConfig.String("Qiniu_SecretKey")
var Qiniu_BUCKET, _ = beego.AppConfig.String("Qiniu_BUCKET")
var OssQiniu, _ = beego.AppConfig.String("OssQiniu")

// 消息通知前端页面跳转url
var ContractApprovalUrl, _ = beego.AppConfig.String("ContractApprovalUrl")
var VerifyContractUrl, _ = beego.AppConfig.String("VerifyContractUrl")
var PercentageApprovalUrl, _ = beego.AppConfig.String("PercentageApprovalUrl")
var MyPercentageUrl, _ = beego.AppConfig.String("MyPercentageUrl")
var ContractReviewAuditUrl, _ = beego.AppConfig.String("ContractReviewAuditUrl")

var FinanceUuid, _ = beego.AppConfig.String("FinanceUuid")
