package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	vaildationTool := beego.NewNamespace("/vaildationTool",
		beego.NSRouter("/add", &controllers.ValidationController{}, "*:AddValidation"),                         // 添加验证工具
		beego.NSRouter("/list", &controllers.ValidationController{}, "*:ValidationList"),                       // 获取验证工具列表
		beego.NSRouter("/del", &controllers.ValidationController{}, "*:DeleteValidationTool"),                  // 删除验证工具
		beego.NSRouter("/update", &controllers.ValidationController{}, "*:UpdateValidationTool"),               // 修改验证工具
		beego.NSRouter("/readvaildation", &controllers.ValidationController{}, "*:GetValidationToolBySn"),      // 修改验证工具
		beego.NSRouter("/updatevaildation", &controllers.ValidationController{}, "*:UpdateValidationToolBySn"), // 修改验证工具
		beego.NSRouter("/ImportExecl", &controllers.ValidationController{}, "*:ImportExecl"),                   // 读取文件
		beego.NSRouter("/exportExecl", &controllers.ValidationController{}, "*:ExportValidationListExecl"),     // 读取文件
	)
	beego.AddNamespace(vaildationTool)
}
