package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	iotCard := beego.NewNamespace("/IotCard",
		beego.NSRouter("/List", &controllers.PropertyController{}, "*:IotCard_List"), // 物联网卡列表
		beego.NSRouter("/Add", &controllers.PropertyController{}, "*:IotCard_Add"),   // 添加物联网卡
		beego.NSRouter("/Edit", &controllers.PropertyController{}, "*:IotCard_Edit"), // 编辑物联网卡
		beego.NSRouter("/Del", &controllers.PropertyController{}, "*:IotCard_Del"),   // 删除物联网卡
	)
	beego.AddNamespace(iotCard)
}
